=head1 NAME

Gnome2::Program - wrapper for GnomeProgram

=cut

=head1 HIERARCHY

  Glib::Object
  +----Gnome2::Program



=cut


=head1 METHODS

=head2 string = $program-E<gt>B<get_app_id> 

=head2 string = $program-E<gt>B<get_app_version> 

=head2 string = $program-E<gt>B<get_human_readable_name> 

=head2 program = Gnome2::Program-E<gt>B<init> ($app_id, $app_version, $module_info=undef, ...)

=over

=item * $app_id (string) 

=item * $app_version (string) 

=item * $module_info (scalar) 

=item * ... (list) 

=back


The list argument is for property-value pairs.


=head2 list = $program-E<gt>B<locate_file> ($domain, $file_name, $only_if_exists)

=over

=item * $domain (Gnome2::FileDomain) 

=item * $file_name (string) 

=item * $only_if_exists (boolean) 

=back


Returns a list of locations.


=head2 moduleinfo = Gnome2::Program-E<gt>B<module_load> ($mod_name)

=over

=item * $mod_name (string) 

=back

=head2 Gnome2::Program-E<gt>B<module_register> ($module_info)

=over

=item * $module_info (scalar) 

=back

=head2 boolean = Gnome2::Program-E<gt>B<module_registered> ($module_info)

=over

=item * $module_info (scalar) 

=back

=head2 program or undef = Gnome2::Program-E<gt>B<get_program> 



=cut


=head1 PROPERTIES

=over

=item 'app-datadir' (string : default undef : readable / writable)

Data prefix where this application was installed

=item 'app-id' (string : default undef : readable)

ID string to use for this application

=item 'app-libdir' (string : default undef : readable / writable)

Library prefix where this application was installed

=item 'app-prefix' (string : default undef : readable / writable)

Prefix where this application was installed

=item 'app-sysconfdir' (string : default undef : readable / writable)

Configuration prefix where this application was installed

=item 'app-version' (string : default undef : readable)

Version of this application

=item 'create-directories' (boolean : default true : readable / writable / construct-only)

Create standard GNOME directories on startup

=item 'enable-sound' (boolean : default true : readable / writable)

Enable sound on startup

=item 'espeaker' (string : default undef : readable / writable)

How to connect to esd

=item 'gnome-datadir' (string : default "/usr/share" : readable / writable / construct-only)

Data prefix where GNOME was installed

=item 'gnome-libdir' (string : default "/usr/lib64" : readable / writable / construct-only)

Library prefix where GNOME was installed

=item 'gnome-path' (string : default undef : readable / writable / construct-only)

Path in which to look for installed files

=item 'gnome-prefix' (string : default "/usr" : readable / writable / construct-only)

Prefix where GNOME was installed

=item 'gnome-sysconfdir' (string : default "/etc" : readable / writable / construct-only)

Configuration prefix where GNOME was installed

=item 'goption-context' (gpointer : default 0 : readable / writable / construct-only)

The goption context pointer that GnomeProgram is using

=item 'human-readable-name' (string : default undef : readable / writable / construct-only)

Human readable name of this application

=item 'popt-context' (gpointer : default 0 : readable)

The popt context pointer that GnomeProgram is using

=item 'popt-flags' (integer : default 0 : writable / construct-only)

The flags to use for popt

=item 'popt-table' (gpointer : default 0 : writable / construct-only)

The table of options for popt

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gnome2::FileDomain

=over

=item * 'unknown' / 'GNOME_FILE_DOMAIN_UNKNOWN'

=item * 'libdir' / 'GNOME_FILE_DOMAIN_LIBDIR'

=item * 'datadir' / 'GNOME_FILE_DOMAIN_DATADIR'

=item * 'sound' / 'GNOME_FILE_DOMAIN_SOUND'

=item * 'pixmap' / 'GNOME_FILE_DOMAIN_PIXMAP'

=item * 'config' / 'GNOME_FILE_DOMAIN_CONFIG'

=item * 'help' / 'GNOME_FILE_DOMAIN_HELP'

=item * 'app-libdir' / 'GNOME_FILE_DOMAIN_APP_LIBDIR'

=item * 'app-datadir' / 'GNOME_FILE_DOMAIN_APP_DATADIR'

=item * 'app-sound' / 'GNOME_FILE_DOMAIN_APP_SOUND'

=item * 'app-pixmap' / 'GNOME_FILE_DOMAIN_APP_PIXMAP'

=item * 'app-config' / 'GNOME_FILE_DOMAIN_APP_CONFIG'

=item * 'app-help' / 'GNOME_FILE_DOMAIN_APP_HELP'

=back




=cut


=head1 SEE ALSO

L<Gnome2>, L<Glib::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2004 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gnome2> for a full notice.



=cut

